/* General styling for the header */
header.top {
  background: #003459;
  color: white;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  padding: 0.625rem; /* 10px */
  padding-left: 9.375rem; /* 150px  */
  padding-right: 10.5rem; /* 200px  */
}

.logo {
  max-height: 3.4375rem; /* 55px  */
  margin: 0 1.25rem; /* 20px  */
}

.nav-menu ul {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin: 0;
  padding: 0;
  gap: 0.9375rem; /* 15px */
}

.nav-menu li {
  position: relative;
}

.nav-link {
  color: white;
  text-decoration: none;
  font-size: 1rem;
  padding-bottom: 0.3125rem; /* 5px */
}

#navMenu {
  display: none;
}

/* Hamburger icon style */
.menu-toggle {
  background: none;
  border: none;
  font-size: 1.5rem; /* 24px  */
  color: white;
  cursor: pointer;
  margin-left: 10rem;
}

.nav-menu.open {
  display: block !important;
}

/* Show nav menu in desktop view */
@media (min-width: 48rem) {
  /* 768px  */
  #navMenu {
    display: flex;
  }

  .menu-toggle {
    display: none;
  }

  /* Services dropdown - desktop view */
  .dropdown-menu {
    position: absolute;
    display: none;
    background: white;
    color: black;
    padding: 1.25rem; /* 20px  */
    border-radius: 0.3125rem; /* 5px */
    top: 100%;
  }
}

/* Default: Hide mobile view */
.topnav-mobile {
  display: none;
}

/* Show desktop view */
.topnav-desktop {
  display: block;
}

/* //////////////////mobile top nav///////////////// */

/* Mobile/Tablet View */
@media (max-width: 768px) {
  .topnav-desktop {
    display: none;
  }
  .topnav-mobile {
    display: block;
    background: #003459;
  }

  /* Mobile Navigation Styling */
  .nav-menu-mobile {
    display: none;
    background: #003459;
    color: white;
    position: absolute;
    top: 3.75rem; /* 60px */
    left: 0;
    width: 100%;
    padding: 0.625rem; /* 10px */
  }

  .nav-menu-mobile.open {
    display: block;
  }

  .dropdown-menu-mobile {
    display: none;
    background: #ffffff;
    color: #003459;
    padding: 0.625rem; /* 10px */
  }

  .dropdown-menu-mobile.show {
    display: block;
  }

  .menu-toggle {
    font-size: 1.5rem; /* 24px */
    color: white;
    border: none;
    background: none;
  }
}

.mobile-topnav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  height: 6.25rem; /* 100px */
}

main {
  margin-top: 3.75rem; /* 60px */
}

.mobile-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.625rem 1.25rem; /* 10px 20px */
}

.mobile-logo {
  max-height: 2.5rem; /* 40px */
}

.mobile-menu-toggle {
  background: none;
  border: none;
  font-size: 2.125rem; /* 34px */
  color: white;
  cursor: pointer;
}

.mobile-nav-menu {
  display: none;
  flex-direction: column;
  background-color: #003459;
  padding: 0.625rem; /* 10px */
}

.mobile-nav-menu ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.mobile-nav-menu li {
  margin-top: 1.563rem; /* 25px */
  margin-left: 1.875rem; /* 30px */
}

.mobile-nav-link {
  color: white;
  text-decoration: none;
  font-size: 1.2rem;
  padding: 0.625rem 0; /* 10px 0 */
}

.mobile-dropdown {
  position: relative;
}

.mobile-dropdown-menu a {
  color: white;
  font-size: 1.2rem;
  padding: 0.3125rem 0; /* 5px 0 */
  text-decoration: none;
  margin-left: 1.875rem; /* 30px */
}

.mobile-dropdown-menu a:hover {
  text-decoration: underline;
}

/* Show menu and dropdown when toggled */
.mobile-nav-menu.open {
  display: flex;
}

/* Responsive Breakpoint for Mobile/Tablet View */
@media (min-width: 25rem) and (max-width: 64rem) {
  /* 400px to 1024px */
  .mobile-topnav {
    display: block;
    background: #003459;
  }

  .desktop-topnav {
    display: none;
  }

  .topnav-desktop {
    display: none; /* Hide desktop navigation */
  }

  .topnav-mobile {
    display: block; /* Show mobile navigation */
  }

  .mobile-topnav {
    display: block;
    height: 5rem; /* 80px */
    background-color: #003459;
    padding: 0.625rem 1.25rem; /* 10px 20px */
  }

  .mobile-header {
    justify-content: space-between;
    align-items: center;
  }

  .mobile-logo {
    max-height: 3.125rem; /* 50px */
  }

  .mobile-menu-toggle {
    font-size: 1.875rem; /* 30px */
  }

  .mobile-nav-menu {
    display: none;
    flex-direction: column;
    background-color: #003459;
    padding: 0.9375rem; /* 15px */
    margin-left: 1.25rem; /* 20px */
  }

  .mobile-nav-menu.open {
    display: flex;
  }

  .mobile-nav-menu ul {
    padding: 0;
    margin: 0;
  }

  .mobile-nav-menu li {
    margin: 1.875rem 0 0 0.9375rem; /* 30px 0 0 15px */
  }

  .mobile-nav-link {
    color: white;
    text-decoration: none;
    font-size: 1.5rem;
  }

  .mobile-dropdown-menu {
    display: none;
    flex-direction: column;
    background-color: #003459;
    padding-left: 1.25rem; /* 20px */
    margin-top: 0.3125rem; /* 5px */
  }

  .mobile-dropdown-menu.show {
    display: flex;
  }

  .dropdown-toggle::after {
    font-size: 1.125rem; /* 18px */
    margin-left: 0.9375rem; /* 15px */
  }

  .mobile-dropdown-item {
    font-size: 1.4rem;
  }

  .mobile-dropdown-item:hover {
    text-decoration: underline;
  }

  main {
    margin-top: 5rem; /* 80px */
  }
}

/* Nested Dropdown Menu */
.mobile-dropdown-menu {
  display: none; /* Initially hidden */
  flex-direction: column;
  background-color: #003459;
  padding-left: 1.25rem; /* 20px / 16 = 1.25rem */
  margin-top: 0.3125rem; /* 5px / 16 = 0.3125rem */
  /* border-left: 2px solid white; */
}

.mobile-dropdown-menu.show {
  display: flex; /* Show menu when toggled */
}

/* Indentation for nested menus */
.mobile-dropdown-menu .mobile-dropdown-menu {
  padding-left: 2.1875rem; /* 35px / 16 = 2.1875rem */
  /* border-left: 2px dashed white; */
}

/* Dropdown toggle arrow */
.dropdown-toggle::after {
  font-size: 1.25rem; /* 20px / 16 = 1.25rem */
  margin-left: 0.3125rem; /* 5px / 16 = 0.3125rem */
}

.mobile-dropdown-item {
  color: white;
  font-size: 2rem; /* Already in rem */
  padding: 0.625rem 0; /* 10px / 16 = 0.625rem */
  text-decoration: none;
}

.mobile-dropdown-item:hover {
  text-decoration: underline;
}

/* //////////////footer///////////////// */

/* Footer Section */
.footer {
  background-color: #003459;
  color: #ffffff;
  padding: 40px 15px;
}

.footer .container {
  display: flex;
  flex-direction: column;
}

.footer-content {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  width: 100%;
  gap: 20px;
}

.footer-left {
  flex: 2;
  margin: 30px;
}

.footer-left img {
  max-width: 150px;
}

.footer-left h2 {
  font-size: 35px;
  font-weight: 600;
  margin-top: 30px;
  line-height: 42px;
}

.footer-left p {
  margin: 15px 0;
}

.social-icons a {
  display: inline-block;
  margin-right: 10px;
}

.footer-center,
.footer-right {
  flex: 1;
}

.footer-center ul {
  list-style: none;
  font-size: 16px;
  font-weight: 600;
  line-height: 30px;
}

.footer-center ul li {
  margin: 10px 0;
}

.footer-center ul li a {
  color: #ffffff;
  text-decoration: none;
}

.footer-right p {
  margin: 10px 0;
}

.newsletter form {
  /* display: flex; */
  flex-wrap: wrap;
  gap: 10px;
}

.newsletter input {
  padding: 15px;
  flex-grow: 1;
  border: none;
  border-radius: 4px;
}

.newsletter .subscribe-button {
  background-color: #f9b96a;
  color: #00171f;
  padding: 10px 30px;
  border: none;
  font-weight: 600;

  border-radius: 31px;
  cursor: pointer;
}

.footer-bottom {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #000;
  font-size: 14px;
  padding-top: 20px;
  margin-top: 20px;
}

.language-select {
  display: flex;
  align-items: center;
  gap: 5px;
}

.language-select img {
  width: 20px;
}

.footer-bottom p {
  margin: 0;
}

/* Responsive Styles */
@media (max-width: 992px) {
  .footer-content {
    flex-direction: column;

    align-items: center;
    text-align: center;
  }

  .footer-left,
  .footer-center,
  .footer-right,
  .newsletter {
    flex: 100%;
    margin: 10px 0;
  }

  .newsletter form {
    flex-direction: column;
    align-items: center;
  }

  .newsletter input {
    width: 100%;
    max-width: 100%;
    margin-bottom: 10px;
  }

  .footer-bottom {
    flex-direction: column;
    text-align: center;
    gap: 10px;
  }
}

/* /////////////// hero content ///////////////////////// */

body {
  background-color: #003459;
  color: #fdfdfd;
  font-family: Helvetica;
}

.hero-image {
  width: 100%;
  border-radius: 15px;
  margin-top: 30px;
  padding: 0px;
}
.article-title {
  color: #fdfdfd;
  font-size: 64px;
  font-weight: 600;
  line-height: 65px;
}
.section-title {
  color: #fdfdfd;
  font-size: 52px;
  font-weight: 600;
  line-height: 65px;
}
/* Responsive Styling */
@media (max-width: 768px) {
  .article-title {
    font-size: 2rem;
    line-height: 45px;
  }

  .article-content,
  .highlight-text {
    font-size: 0.9rem;
  }

  .highlight-box {
    padding: 10px;
  }

  .section-title {
    font-size: 2rem;
    line-height: 45px;
  }
}

@media (max-width: 576px) {
  .article-title {
    font-size: 2rem;
    line-height: 45px;
  }

  .hero-image {
    border-radius: 10px;
  }
}
